osp_param Struct Reference

Struct holding options for OSP parameters. More...

## Data Fields

char * | id
char * | name
char * | desc
char * | def
osp_param_type_t | type
int | mandatory

## Detailed Description

Struct holding options for OSP parameters.

## Field Documentation

## def

char* osp_param::def

Default value.

## desc

char* osp_param::desc

Parameter description.

## id

char* osp_param::id

Parameter id.

## mandatory

int osp_param::mandatory

If mandatory or not.

## name

char* osp_param::name

Parameter name.

## type

osp_param_type_t osp_param::type

Parameter type.

The documentation for this struct was generated from the following file:

- osp/osp.c